#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private PositionTool[] cachePositionTool;

		
		public PositionTool PositionTool(int fixedContracts, bool showPointsDistance, bool showTicksDistance)
		{
			return PositionTool(Input, fixedContracts, showPointsDistance, showTicksDistance);
		}


		
		public PositionTool PositionTool(ISeries<double> input, int fixedContracts, bool showPointsDistance, bool showTicksDistance)
		{
			if (cachePositionTool != null)
				for (int idx = 0; idx < cachePositionTool.Length; idx++)
					if (cachePositionTool[idx].FixedContracts == fixedContracts && cachePositionTool[idx].ShowPointsDistance == showPointsDistance && cachePositionTool[idx].ShowTicksDistance == showTicksDistance && cachePositionTool[idx].EqualsInput(input))
						return cachePositionTool[idx];
			return CacheIndicator<PositionTool>(new PositionTool(){ FixedContracts = fixedContracts, ShowPointsDistance = showPointsDistance, ShowTicksDistance = showTicksDistance }, input, ref cachePositionTool);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.PositionTool PositionTool(int fixedContracts, bool showPointsDistance, bool showTicksDistance)
		{
			return indicator.PositionTool(Input, fixedContracts, showPointsDistance, showTicksDistance);
		}


		
		public Indicators.PositionTool PositionTool(ISeries<double> input , int fixedContracts, bool showPointsDistance, bool showTicksDistance)
		{
			return indicator.PositionTool(input, fixedContracts, showPointsDistance, showTicksDistance);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.PositionTool PositionTool(int fixedContracts, bool showPointsDistance, bool showTicksDistance)
		{
			return indicator.PositionTool(Input, fixedContracts, showPointsDistance, showTicksDistance);
		}


		
		public Indicators.PositionTool PositionTool(ISeries<double> input , int fixedContracts, bool showPointsDistance, bool showTicksDistance)
		{
			return indicator.PositionTool(input, fixedContracts, showPointsDistance, showTicksDistance);
		}

	}
}

#endregion
